import 'package:flutter/material.dart';
import 'package:clx_flutter_util/clx_flutter_util.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    // initPlatformState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(children: [
          ElevatedButton(
              onPressed: () {
                ToastUtil.showToast("测试");
              },
              child: const Text("测试Toast")),
          ElevatedButton(
              onPressed: () {
                logger.d("测试日志");
              },
              child: const Text("测试日志")),
          ElevatedButton(
              onPressed: () {
                loggerNoStack.d("测试日志无栈");
              },
              child: const Text("测试日志无栈")),
        ]),
      ),
    );
  }
}
